<?php
require('adodb/adodb.inc.php'); //biblioteca necessaria para trabalhar com adodb
require('Amfphp/Services/conexao.php');
require('Amfphp/Services/funcoes.php');

$idmensalidade = anti_injection($idmensalidade);
$a = (int)$idmensalidade;
$b = $idmensalidade;
if ("$a" <> "$b"){
	echo "<script>window.alert('ERRO. Dados Incorreto');</script>";
} else {
if (!empty($idmensalidade)){
	$con = new conexao();

	$sql = "select financeiro.*, provedor.nome, empresa.linkboleto, empresa.email from financeiro, provedor, empresa where (financeiro.idfinanceiro='$idmensalidade') and financeiro.idprovedor = provedor.idprovedor and financeiro.idempresa = empresa.idempresa and financeiro.del='NAO' and financeiro.tipo='CAR'";
	$resultado = $con->banco->Execute($sql);
	$registro = $resultado->FetchNextObject();
	$idcliente = $registro->IDPROVEDOR;
	$cliente = $registro->NOME;
	$vencimento=dmy($registro->DATAVENCIMENTO);
	$valor=$registro->VALOR;
	$descricao=$registro->DESCRICAO;
	$idempresa=$registro->IDEMPRESA;
	$idrevendedor=$registro->IDREVENDEDOR;
	$financeiro_especie=$registro->ESPECIE;
	$numero=$registro->NUMERO;
	$email = $registro->EMAIL;

	$sql="select * from banco where idempresa='$idempresa' and idrevendedor='$idrevendedor'";
	$resultado = $con->banco->Execute($sql);
	$dados_deposito="";	
	while ($registro = $resultado->FetchNextObject()){
		$ag = $registro->AGENCIA;
		$banco = $registro->BOLETOPHP;
		$cc = $registro->CONTA;
		$dv = $registro->DV;
		$titular = $registro->TITULAR;
		$cpf = $registro->CPF;
		$descricao_conta = $registro->DESCRICAO;
		if ($registro->EMITEBOLETO == "SIM"){
			$emiteboleto = "SIM";
			$idbanco=$registro->IDBANCO;
			$boletophp=$registro->BOLETOPHP;			
			$arquivo = "boleto_$boletophp.php";		
			$link_boleto = "boletophp/$arquivo?idbanco=$idbanco&numero=$numero";
		}
		$dados_deposito .= "<font color='red'><u>$banco</u></font><br> Ag: $ag   Cc: $cc-$dv<br> $descricao_conta<br><br> <u>Titular</u>: $titular<br> ";
		if (!empty($cpf)){
			$dados_deposito .= "<u>CPF</u>: $cpf";
		}		
		$dados_deposito .= "<br><br><br>";
	}
	$dados_deposito .= "<font color='red'><u>ATENCAO</u>: Enviar o comprovante de deposito para</font> <font color='blue'>$email</font><font color='red'>, informando o numero</font> <font color='blue'>$idmensalidade</font>";
	
	
	$sql="select * from usuario_especie where idempresa='$idempresa' and idusuario='$idrevendedor' and especie='PagSeguro' and situacao = 'Ativo'";
	$resultado = $con->banco->Execute($sql);
	$registro = $resultado->FetchNextObject();
	$pagseguro=$registro->ESPECIE;
	if ($pagseguro <> ""){		
		$link_pagseguro = "PagSeguro/pagamento.php?idconta=$idmensalidade";
		$linkredirect = $link_pagseguro;
	}

	
	$sql="select * from usuario_especie where idempresa='$idempresa' and idusuario='$idrevendedor' and especie='PagDigital' and situacao='Ativo'";
	$resultado = $con->banco->Execute($sql);
	$registro = $resultado->FetchNextObject();
	$pagdigital=$registro->ESPECIE;	
	if ($pagdigital <> ""){
		$link_pagdigital = "PagDigital/pagamento.php?idconta=$idmensalidade";		
	}


	if ($financeiro_especie == "Boleto"){
		$linkredirect = $link_boleto;
	}
	if ($financeiro_especie == "PagDigital"){
		$linkredirect = $link_pagdigital;
	}
	if ($financeiro_especie == "PagSeguro"){
		$linkredirect = $link_pagseguro;
	}
	if ($financeiro_especie <> "a Receber"){
		echo "<script>window.location='$linkredirect';</script>";		
	}


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>CSPADM - Pagamento de Mensalidade</title>
<style type="text/css">
.by {
	font-family: "Courier New", Courier, monospace;
	font-size: 10px;
}
.cabecalho {
	font-family: Verdana, Geneva, sans-serif;
	font-size: 12px;
	text-align: center;
	color: #00C;
}
.texto {
	font-family: Verdana, Geneva, sans-serif;
	font-size: 12px;
	text-align: right;	
}

.textoNegrito {
	font-family: Verdana, Geneva, sans-serif;
	font-size: 12px;
	text-align: left;
	font-weight: bold;	
}
.Centralizado {
	text-align: center;
}

</style>
</head>

<body>
 <table width="736" border="0" align="center">
  <tr>
  <!--  <td colspan="3" align="center"><img src="imagens/formas_de_pagamentos.png" width="205" height="130" /></td> -->
  </tr> 
  <tr>
    <td width="90" align="center">&nbsp;</td>
    <td width="486" align="center">&nbsp;</td>
    <td width="128" align="center">&nbsp;</td>
  </tr>
  <tr>
    <td colspan="3" align="center"><form id="form1" name="form1" method="post" action="">
      <table width="630" border="1">
        <tr>
          <td colspan="2" bgcolor="#CCCCCC" class="cabecalho">** Dados da Mensalidade **</td>
        </tr>
        <tr>
          <td width="177" class="texto">Cliente:</td>
          <td width="372" class="textoNegrito"><?php echo $cliente; ?></td>
        </tr>
        <tr>
          <td class="texto">Vencimento</td>
          <td class="textoNegrito"><?php echo $vencimento;?></td>
        </tr>
        <tr>
          <td class="texto">Valor</td>
          <td class="textoNegrito">R$ <?php echo $valor;?></td>
        </tr>
        <tr>
          <td class="texto">Descriçao:</td>
          <td class="textoNegrito"><?php echo $descricao;?></td>
        </tr>
        <tr class="cabecalho">
          <td colspan="2" bgcolor="#CCCCCC">** Formas de Pagamento **</td>
          </tr>
          <?php if ($pagdigital <> "" ){ ?>
        <tr>
          <td class="Centralizado"><img src="imagens/bcash_logo.png" width="128" height="100" /></td>
          <td class="textoNegrito"><a href="?oqfazer=Pagar&especie=PagDigital&idmensalidade=<?php echo $idmensalidade;?>">Pagar Online, utilizando o BCash</a></td>
        </tr>
        <?php } ?>
        <?php if ($pagseguro <> ""){ ?>
        <tr>
          <td class="Centralizado"><img src="imagens/pagseguro.jpg" width="128" height="65" /></td>
          <td class="textoNegrito"><a href="?oqfazer=Pagar&especie=PagSeguro&idmensalidade=<?php echo $idmensalidade;?>">Pagar Online, utilizando o Pagseguro</a></td>
        </tr>
        <?php } ?>
        <?php
		if ($emiteboleto == "SIM"){?>
        <tr>
          <td class="Centralizado"><img src="imagens/boleto.jpg" alt="" width="128" height="65" /></td>
          <td class="textoNegrito"><a href="?oqfazer=Pagar&especie=Boleto&idmensalidade=<?php echo $idmensalidade;?>">Pagar utilizando Boleto Bancario</a></td>
        </tr>
        <?php } ?>
        <?php if ($dados_deposito <> ""){ ?>
        <tr>
          <td class="Centralizado"><img src="imagens/deposito.jpg" alt="" width="128" height="65" /></td>
          <td class="textoNegrito"><?php echo $dados_deposito;?></td>
        </tr>
        <?php } ?>
      </table>
    </form></td>
  </tr>
  <tr>
    <td colspan="3" align="center" class="by">Desenvolvido por JulianoSMI</td>
  </tr>
</table>
</body>
</html>
<?php }
if ($oqfazer=="Pagar"){	
	if ($especie == "PagSeguro"){
		$linkredirect = $link_pagseguro;
		$numero=$idmensalidade;
	}
	if ($especie == "PagDigital"){
		$linkredirect = $link_pagdigital;
		$numero=$idmensalidade;
	}
	if ($especie == "Boleto"){
		$sql = "select * from banco where idempresa='$idempresa' and idrevendedor = '$idrevendedor' and emiteboleto='SIM'";
		$resultado = $con->banco->Execute($sql);
		$registro = $resultado->FetchNextObject();
		$idbanco=$registro->IDBANCO;
		$boletophp=$registro->BOLETOPHP;
		$numero=gerar_nossonumero($idempresa,$idrevendedor,$idbanco,$vencimento);
		$arquivo = "boleto_$boletophp.php";
		$link_boleto = "boletophp/$arquivo?idbanco=$idbanco&numero=$numero";
		$linkredirect = $link_boleto;
	}
	$sql = "select name from csp_user where idempresa='$idempresa' and id='$idcliente'";
	$resultado = $con->banco->Execute($sql);
	$n=0;
	while($registro = $resultado->FetchNextObject()){
		$n++;
		$login = $registro->NAME;
	}
	$novadescricao = "1|$login|$descricao|$n";
	
	$sql = "update financeiro set especie='$especie', numero='$numero', descricao='$novadescricao' where idfinanceiro='$idmensalidade'";
	$con->banco->Execute($sql);	
	echo "<script>window.location='$linkredirect';</script>";
}

function gerar_nossonumero($acesso_idempresa, $acesso_idusuario, $idbanco, $vencimento){
	$con = new conexao();
	$sqlbanco="select banco.* from banco where banco.idempresa='$acesso_idempresa' and banco.idbanco='$idbanco'";
	$resultado = $con->banco->Execute($sqlbanco);
	$registro  = $resultado->FetchNextObject();
	$banco_agencia  = $registro->AGENCIA;
	$banco_conta    = $registro->CONTA;
	$banco_df       = $registro->DV;
	$banco_praca    = $registro->PRACA;
	$banco_byte     = $registro->BYTE;
	$banco_boletophp= $registro->BOLETOPHP;
	$ano=substr($vencimento,8,2);

	// Ultimo Numero 
	$sqlbol2="select numero from financeiro where (idempresa = '$acesso_idempresa') and (idbanco='$idbanco') and numero like '$ano$banco_byte%' and especie='Boleto' order by numero DESC limit 1";
	$resultado = $con->banco->Execute($sqlbol2);
	$registro  = $resultado->FetchNextObject();
	$ultimo_numero = $registro->NUMERO;


	// Ultimo idfinanceiro
	$sqlbol2="select idfinanceiro from financeiro order by idfinanceiro DESC limit 1";
	$resultado = $con->banco->Execute($sqlbol2);
	$registro  = $resultado->FetchNextObject();
	$ultimo_idfinanceiro = $registro->IDFINANCEIRO;
	$ultimo_idfinanceiro++;
			
	if ($ultimo_numero == ""){
		$sequencia="00001";
	} else {
		$sequencia = substr($ultimo_numero, 3, 5);
		$sequencia++;
		$sequencia=CompletaComZeros(5,$sequencia);
	}					
	if ($banco_boletophp == "sicredi"){
		require_once('Amfphp/Services/boletophp_sicredi.php');
		$funcao=new boletophp_Sicredi();
		$nnum = $ano . $banco_byte . $sequencia;
		$dv_nosso_numero = $funcao->digitoVerificador_nossonumero("$banco_agencia$banco_praca$banco_conta$nnum");
		$numero="$ano$banco_byte$sequencia$dv_nosso_numero";
	}
	if ($banco_boletophp == "bradesco"){
		require_once('Amfphp/Services/boletophp_bradesco.php');
		$funcao=new boletophp_Bradesco();
		$sequencia=CompletaComZeros(11,$sequencia);
		$nnum =  $sequencia;
		$dv_nosso_numero = $funcao->digitoVerificador_nossonumero("$banco_praca$nnum");
		$numero="$sequencia$dv_nosso_numero";
	}
	if ($banco_boletophp == "hsbc"){
		require_once('Amfphp/Services/boletophp_hsbc.php');
		$funcao=new boletophp_hsbc();
		$nnum = $funcao->formata_numero($ultimo_idfinanceiro,13,0);
		$numero = $funcao->geraNossoNumero($nnum,$banco_praca,$vencimento,'4');
	}			
	return $numero;	
}
}


 ?>
